%define name	kvdr
%define version	0.64
%define release %mkrel 2

Name: 	 	%{name}
Summary:	GUI for a virtual video disk recorder
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
Patch0:		kvdr-05_amd64_fixes.patch
URL:		http://www.s.netic.de/gfiala/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig
BuildRequires:	gettext
BuildRequires:	qt3-devel
BuildRequires:	libxinerama-devel
BuildRequires:	kdelibs-devel
Requires:	xawtv-common

%description
If you have just a desktop computer with a dvb-card and are running KDE you
can have vdr running as a daemon (e.g. by init) handling all recording and use
Kvdr as a viewer.  Just start kvdr, it connects to the vdr-daemon using SVDRP
and lets you do anything vdr can do plus displays an overlay.  Alternatively
it can be used if you have 2 dvb-cards (one in your remote-box and one in your
desktop-box). You start the vdr-daemon also at your desktop and let it have
the remotely mounted /video-directory for the recordings. 

%prep
%setup -q -n %name
%patch0 -p1

%build
export KDEDIR=%{_libdir}
%configure2_5x --with-qt-libraries=$QTDIR/%_lib --enable-mt
%make

%install
rm -rf %{buildroot}
%makeinstall

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=KVDR
Comment=VDR interface
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=KDE;Qt;AudioVideo;Video;TV;
EOF

#icons
mkdir -p %{buildroot}/%_liconsdir
cat %SOURCE1 > %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%_iconsdir
cat %SOURCE2 > %{buildroot}/%_iconsdir/%name.png
mkdir -p %{buildroot}/%_miconsdir
cat %SOURCE3 > %{buildroot}/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf %{buildroot}

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS TODO NEWS COPYING README
%doc %{_docdir}/HTML/*/kvdr
%{_bindir}/%name
%{_datadir}/applnk/Multimedia/kvdr.desktop
%{_datadir}/icons/*/*/apps/kvdr.png
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Sat Jun 09 2007 Anssi Hannula <anssi@mandriva.org> 0.64-2mdv2008.0
+ Revision: 37657
- clean spec
- XDG menu
- update patch0 from debian
- annual rebuild
- Import kvdr



* Fri May 19 2006 Emmanuel Andry <eandry@mandriva.org> 0.64-1mdk
- 0.64
- mkrel
- buildrequires kdelibs-devel

* Mon Aug 01 2005 Lenny Cartier <lenny@mandriva.com> 0.63-2mdk
- requires xawtv-common

* Tue Oct 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.63-1mdk
- 0.63
- regenerate patch

* Sun Jun 6 2004 Austin Acton <austin@mandrake.org> 0.6-3mdk
- rebuild

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Rebuild

* Mon Jul 7 2003 Austin Acton <aacton@yorku.ca> 0.6-1mdk
- initial package (with help of Steffen Barszus <st_barszus@gmx.de>)
